Bug 52675 - Spec file fix to build from source
Summary: Spec file fix to build from source
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xawtv (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-27 21:48 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-27 21:48:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-08-27 21:48:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-2 i686)

Description of problem:
During build some files are missing from the %files section

Version-Release number of selected component (if applicable):
xawtv-3.54-4

How reproducible:
Always

Steps to Reproduce:
1. rpm --rebuild xawtv-3.54-4.src.rpm
2.
3.
	

Actual Results:  ...
+ cp -pr COPYING KNOWN_PROBLEMS Miro_gpio.txt Programming-FAQ README
/var/tmp/xawtv-root/usr/share/doc/xawtv-3.54
cp: cannot stat `KNOWN_PROBLEMS': No such file or directory
cp: cannot stat `Miro_gpio.txt': No such file or directory

Expected Results:  Successful build

Additional info:

xawtv.spec file fix:
%install
+mkdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
+mv $RPM_BUILD_ROOT/etc/X11/app-defaults/Xawtv
$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Xawtv

%files
-%doc COPYING KNOWN_PROBLEMS Miro_gpio.txt Programming-FAQ README
-%doc Sound-FAQ Trouble-Shooting TODO UPDATE_TO_v3.0 Changes
+%doc COPYING Programming-FAQ README
+%doc TODO UPDATE_TO_v3.0 Changes

Comment 1 Ngo Than 2001-08-28 14:15:40 UTC
It's fixed in xawtv-3.54-5. You will find it in next rawhide release



Note You need to log in before you can comment on or make changes to this bug.